function::user_string
Prev | Chapter 25. String and data retrieving functions Tapset | Next

## Name

function::user_string — Retrieves string from user space

## Synopsis

    1) user_string:string(addr:long)

    2) user_string:string(addr:long,err_msg:string)

## Arguments

`addr`

  the user space address to retrieve the string from

`err_msg`

  the error message to return when data isn't available

## Description

1) Returns the null terminated C string from a given user space memory address. Reports an error on the rare cases when userspace data is not accessible.

2) Returns the null terminated C string from a given user space memory address. Reports the given error message on the rare cases when userspace data is not accessible.

Prev | Up | Next
function::user_short_warn | Home | function::user_string_n